Bug 438587 - Review Request: libsqlite3x - C++ Wrapper for the SQLite3 database engine
Review Request: libsqlite3x - C++ Wrapper for the SQLite3 database engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-22 10:26 EDT by Thomas Sailer
Modified: 2008-12-11 03:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 09:52:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dwmw2: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2008-03-22 10:26:33 EDT
Spec URL: http://sailer.fedorapeople.org/libsqlite3x.spec
SRPM URL: http://sailer.fedorapeople.org/libsqlite3x-20071018-2.fc8.src.rpm
Description: libsqlite3x provides thin C++ wrappers for sqlite3.
Comment 1 Jason Tibbitts 2008-05-11 00:17:46 EDT
This failed to build for me in F9/rawhide:

/bin/sh ./libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I.     -O2 -g
-pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -O2 -Wall -ansi -MT sq3.lo -MD -MP
-MF .deps/sq3.Tpo -c -o sq3.lo sq3.cpp
 g++ -DHAVE_CONFIG_H -I. -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -O2 -Wall -ansi
-MT sq3.lo -MD -MP -MF .deps/sq3.Tpo -c sq3.cpp  -fPIC -DPIC -o .libs/sq3.o
sq3.cpp: In member function 'int sq3::statement::prepare(const char*, int)':
sq3.cpp:70: error: 'strlen' was not declared in this scope
sq3.cpp: In member function 'int sq3::statement::bind(int, const char*, int)':
sq3.cpp:190: error: 'strlen' was not declared in this scope
sq3.cpp: In member function 'int sq3::statement::bind(const char*, const char*,
int)':
sq3.cpp:226: error: 'strlen' was not declared in this scope
Comment 2 Thomas Sailer 2008-05-16 18:21:22 EDT
Thanks. Apparently, the C++ headers have gotten stricter, so I've added the
necessary includes.

Spec URL: http://sailer.fedorapeople.org/libsqlite3x.spec
SRPM URL: http://sailer.fedorapeople.org/libsqlite3x-20071018-3.fc9.src.rpm
Comment 3 Jason Tibbitts 2008-07-03 00:28:34 EDT
I'm kind of curious as to why you need to drop in an autotools system.  Is the
package simply unbuildable without it?  Has that work been sent to upstream?
Comment 4 Jason Tibbitts 2008-08-21 15:29:24 EDT
Any response to comment #3?
Comment 5 Thomas Sailer 2008-08-21 17:43:33 EDT
Yes, I sent it upstream; but the author will unlikely integrate this, as he is also the author toc.

I tried half a day to get toc working, without success. Even if I got it to work, it would unlikely have worked and picked the correct compiler flags etc. for any architecture I don't own (i.e. everything but x86). So it seemed far less work to just drop in autotools scripts. And autotool is working and maintained for pretty much all architectures fedora supports, so it seems to me that with autotools build scripts, I will have a better chance of getting the packages to compile and run on other architectures as well.

Tom
Comment 6 David Woodhouse 2008-11-02 07:04:44 EST
"Here you can find "sqlite3x" and "sq3", two different C++ wrapper APIs
for working with sqlite3 databases. These two independent APIs are different in nature but are distributed together because they are maintained together."

We should probably put them into separate binary subpackages.

I agree with ditching pointless stupid build systems when they're too complex to get them to work. But normally I use that as a reason for ditching autocrap and just writing proper Makefiles. I would advocate that in this case, rather than replacing one crap overengineered build system with another. But not a review blocker.

Would be good to have a licence file, but not mandatory since upstream doesn't have it.

Approved -- but please consider splitting into separate packages for sqlite3x vs. sq3 before doing the first build.
Comment 7 David Woodhouse 2008-11-02 07:43:43 EST
Oops, missed a requirement -- you must add Requires: pkgconfig in the -devel subpackage(s) because they provide .pc files.
Comment 8 Thomas Sailer 2008-11-04 04:43:30 EST
New Package CVS Request
=======================
Package Name: libsqlite3x
Short Description: C++ Wrapper for the SQLite3 database engine
Owners: sailer
Branches: F-9
InitialCC:
Comment 9 Thomas Sailer 2008-11-04 08:57:56 EST
I thought about splitting up sqlite3x and sq3 into different packages, but then decided it's not worth it because both libraries are very small. But if you think differently, fine with me, here is the split version:

Spec URL: http://sailer.fedorapeople.org/libsqlite3x.spec
SRPM URL: http://sailer.fedorapeople.org/libsqlite3x-20071018-4.fc10.src.rpm

Also fixed the pkgconfig dependency.
Comment 10 Kevin Fenzi 2008-11-05 17:27:38 EST
cvs done.
Comment 11 Fedora Update System 2008-11-06 08:11:14 EST
libsqlite3x-20071018-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libsqlite3x-20071018-4.fc9
Comment 12 Fedora Update System 2008-11-06 08:13:28 EST
libsqlite3x-20071018-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libsqlite3x-20071018-4.fc10
Comment 13 Fedora Update System 2008-11-06 21:53:46 EST
libsqlite3x-20071018-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libsqlite3x'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9435
Comment 14 Fedora Update System 2008-11-19 09:52:54 EST
libsqlite3x-20071018-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-12-11 03:00:26 EST
libsqlite3x-20071018-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.